#! /bin/sh
#
# Check whether shell script evocation was correct
#
if [ $# -eq 0 ]
then
  echo "Error : number missing from command line"
  echo "Usage : $0 number"
  exit 1
fi
#
# Compile the fortran source
#
f77 -O9 lift.f
#
# Execute the program a number of times equal to that on the command line
#
count=1
while [ $count -le $1 ]
do
  /usr/bin/time -a -o f.time -f "%e" ./a.out > /dev/null
  count=`expr $count + 1`
done
rm a.out
#
# Compile the fortran source for the statistics program and get the statistics
#
../stat < f.time
#
# Compile the fortran source for the histogram program and get the histogram
#
echo 0 1 > in.histo
cat f.time >> in.histo
../histo < in.histo > f.histo
rm in.histo
