      program histo
*
*     Construct the frequency distribution of a set of numbers
*     The numbers are given one per line in a file of unknown length
*
      parameter (nh=101)
      real h(nh)
*
      do i=1,nh
         h(i)=0.
      end do
*
      read(*,*) tmin, tmax
      dt=(tmax-tmin)/(nh-1)
      n = 0
      m = 0
      amax=tmin
      amin=tmax
 10   read(*,*,end=19) t
         n = n + 1
         i = (t-tmin)/dt
         amin=min(t,amin)
         amax=max(t,amax)
         if ((i.ge.0).and.(i.lt.nh)) then
            m = m + 1
            h(i+1) = h(i+1) + 1
         end if
         go to 10
 19      continue
*
      write(*,6000) 'min', amin
      write(*,6000) 'max', amax
      if (m.eq.0) then
         write(*,*) 'Degenerate case: no points in range'
      else
         do i = 1,nh
            write(*,6001) dt*(i-0.5)+tmin, h(i)/m/dt
         end do
      end if
*
 6000 format('# actual ', a3, 5x, e12.4)
 6001 format(2e12.4)
      end
