#! /bin/sh
#
# Check whether shell script evocation was correct
#
if [ $# -eq 0 ]
then
  echo "Error : number missing from command line"
  echo "Usage : $0 number"
  exit 1
fi
#
# Execute the program a number of times equal to that on the command line
#
count=1
while [ $count -le $1 ]
do
  /usr/bin/time -a -o f.time -f "%e" ./stat< ./data > /dev/null
  count=`expr $count + 1`
done
#
# Get the statistics of run times
#
./stat < f.time
#
# Get the histogram of run times
#
echo 0 1 > in.histo
cat f.time >> in.histo
./histo < in.histo > f.histo
rm in.histo
